package com.casic.missiles.service.equipment;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.dto.IdDTO;
import com.casic.missiles.dto.ReturnDTO;
import com.casic.missiles.dto.equipment.StateManageRequest;
import com.casic.missiles.dto.equipment.StateManageResponse;
import com.casic.missiles.model.equipment.EquipmentApply;

import javax.servlet.http.HttpServletResponse;

public interface IEquipmentStateManageService {

    Page<StateManageResponse> stateManageList(Page<StateManageResponse> page, StateManageRequest request) throws Exception;

    StateManageResponse selectStateManageInfo(IdDTO idDto) throws Exception;

    void exportStateManageList(StateManageRequest request, HttpServletResponse response) throws Exception;

    ReturnDTO updateEquipmentApply(StateManageResponse stateManageResponse);

    ReturnDTO failUpdate(StateManageResponse stateManageResponse);
}
